body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    display: flex;
    height: 100vh;
    background-color: #f8f9fa;
}

.navbar {
    width: 250px;
    background-color: #3498db;
    border-radius: 10px;
    box-shadow: 0 0 10px #3498db;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    height: 100%;
}

.navbar .title {
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 10px;
    transition: color 0.3s ease, transform 0.3s ease;
    color: #ecf0f1;
}

.navbar .title:hover {
    color: #e74c3c;
    transform: scale(1.1) translateX(5px);
    animation: shake 0.5s infinite;
}

@keyframes shake {
    0% { transform: translateX(0); }
    25% { transform: translateX(-5px); }
    50% { transform: translateX(0); }
    75% { transform: translateX(5px); }
    100% { transform: translateX(0); }
}

.navbar .title:active {
    transform: scale(0.9);
}

.navbar ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.navbar li {
    margin-bottom: 5px;
    position: relative;
}

.navbar a {
    text-decoration: none;
    color: white;
    transition: background-color 0.3s ease;
    display: block;
    padding: 10px;
    border-radius: 5px;
    position: relative;
    font-size: 16px;
    font-weight: bold;
    z-index: 1;
}

.navbar a:hover {
    background-color: transparent;
}

.navbar a::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background-color: #000;
    transition: width 0.3s ease;
    border-radius: 5px;
    z-index: -1;
}

.navbar a:hover::before {
    width: 100%;
}

.navbar a:active {
    transform: scale(0.95);
}

.content {
    flex-grow: 1;
    padding: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    max-height: calc(100vh - 40px); /* Subtract the padding of the content area */
    overflow-y: auto;
}

.search-card {
    background-color: white;
    border-radius: 10px;
    box-shadow: 0 0 10px #3498db;
    padding: 20px;
    width: 500px;
    animation: bounce 1s infinite;
}

h1 {
    text-align: center;
    color: #3498db;
}

form {
    margin: 20px auto;
    width: 300px;
}

label {
    display: block;
    margin-bottom: 10px;
    color: #3498db;
}

input[type="text"],
input[type="number"],
input[type="password"] {
    width: 100%;
    padding: 10px;
    margin-bottom: 10px;
    border-radius: 5px;
    border: 1px solid #3498db;
    transition: border-color 0.3s ease;
}

input[type="text"]:focus,
input[type="number"]:focus,
input[type="password"]:focus {
    border-color: #e74c3c;
}

input[type="submit"] {
    width: 100%;
    padding: 10px;
    background-color: #3498db;
    color: white;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s ease;
    border-radius: 5px;
}

input[type="submit"]:hover {
    background-color: #e74c3c;
}

input[type="submit"]:active {
    transform: scale(0.95);
}

#results {
    margin: 20px auto;
    width: 300px;
    border: 1px solid #3498db;
    padding: 10px;
    opacity: 0;
    max-height: 0;
    overflow: hidden;
    transition: opacity 0.3s ease, max-height 0.3s ease;
    border-radius: 5px;
}

#results.show {
    opacity: 1;
    max-height: 500px;
}

.login-card {
    background-color: white;
    border-radius: 10px;
    box-shadow: 0 0 10px #3498db;
    padding: 20px;
    width: 400px;
    margin: 100px auto;
    animation: bounce 1s infinite;
}

.login-card h1 {
    text-align: center;
    color: #3498db;
}

.login-card form {
    margin: 20px auto;
    width: 300px;
}

.login-card label {
    display: block;
    margin-bottom: 10px;
    color: #3498db;
}

.login-card input[type="text"],
.login-card input[type="password"] {
    width: 100%;
    padding: 10px;
    margin-bottom: 10px;
    border-radius: 5px;
    border: 1px solid #3498db;
    transition: border-color 0.3s ease;
}

.login-card input[type="text"]:focus,
.login-card input[type="password"]:focus {
    border-color: #e74c3c;
}

.login-card input[type="submit"] {
    width: 100%;
    padding: 10px;
    background-color: #3498db;
    color: white;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s ease;
    border-radius: 5px;
}

.login-card input[type="submit"]:hover {
    background-color: #e74c3c;
}

.login-card input[type="submit"]:active {
    transform: scale(0.95);
}

::-webkit-scrollbar {
    width: 12px;
}

::-webkit-scrollbar-track {
    background: #f1f1f1;
    border-radius: 10px;
}

::-webkit-scrollbar-thumb {
    background: #3498db;
    border-radius: 10px;
}

::-webkit-scrollbar-thumb:hover {
    background: #e74c3c;
}

.search-card {
    padding: 20px;
    border: 1px solid #3498db;
    border-radius: 5px;
    margin-bottom: 20px;
}

.search-results {
    max-height: 650px; /* Adjust this value as needed */
    overflow-y: auto;
    margin-top: 10px;
    width: 100%;
}
#search-result {
    padding: 0 20px; /* Add padding to the search result element */
    width: 87%; /* Ensure the search result element takes up the full width of the search-results container */
}

.search-list {
    list-style-type: none;
    padding: 0;
}

.search-list li {
    margin-bottom: 5px;
}

.search-list li strong {
    font-weight: bold;
    margin-right: 5px;
    color: #3498db;
}

.card {
    padding: 10px;
    border-radius: 5px;
    margin-bottom: 10px;
    transition: transform 0.3s ease;
}

@keyframes brightness-and-shadow {
    0% {
        filter: brightness(80%);
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    }
    100% {
        filter: brightness(120%);
        box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
    }
}

.card:hover {
    animation: brightness-and-shadow 0.8s forwards;
}


.green {
    background-color: #c3e6cb;
    border: 1px solid #328a46;
}

.red {
    background-color: #f5c6cb;
    border: 1px solid #a72734;
}

.navbar .logout {
    position: relative;
    margin-top: auto;
    margin-bottom: 60px;
    text-align: center;
    background-color: #007bff;
    color: white;
    padding: 10px;
    border-radius: 5px;
    transition: background-color 0.3s ease, transform 0.3s ease;
    font-size: 16px;
    font-weight: bold;
    text-decoration: none;
    display: block;
    overflow: hidden;
    width: 80%;
    margin-left: auto;
    margin-right: auto;
}

.navbar .logout:hover {
    background-color: #000;
    transform: scaleX(1.05);
    animation: expand 0.3s forwards;
}

@keyframes expand {
    from {
        width: 80%;
    }
    to {
        width: 90%;
    }
}

.navbar .logout:active {
    transform: scale(0.9);
}

.success-card {
    padding: 10px;
    border-radius: 5px;
    display: none;
    background-color: #d4edda;
    border: 1px solid #c3e6cb;
}

.error-card {
    padding: 10px;
    border-radius: 5px;
    display: none;
    background-color: #f8d7da;
    border: 1px solid #f5c6cb;
}

/* Styles for the report-card and buttons */
.report-card {
    background-color: white;
    border-radius: 10px;
    box-shadow: 0 0 10px #3498db;
    padding: 20px;
    text-align: center;
}

.report-btn {
    background-color: #3498db;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    margin: 10px;
    transition: background-color 0.3s ease;
}

.report-btn:hover {
    background-color: #2980b9;
}

.report-btn:active {
    transform: scale(0.95);
}

/* Styles for the modals */
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.4);
}

.modal-content {
    background-color: white;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-width: 600px;
    border-radius: 10px;
    box-shadow: 0 0 10px #3498db;
    position: relative;
}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

/* Styles for the file input */
input[type="file"] {
    color: rgb(0, 0, 0);
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    margin-top: 10px;
    font-family: Arial, sans-serif;
}

input[type="file"]::file-selector-button {
    background-color: #2980b9;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

input[type="file"]::file-selector-button:hover {
    background-color: #21618c;
}

input[type="file"]::file-selector-button:active {
    transform: scale(0.95);
}

/* Add this to your existing CSS */
#login-popup {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
    padding-top: 60px;
  }

.warning {
    color: red;
    font-weight: bold;
}
